// 广场信息
// 引入axios请求实例（已封装好baseURL、请求拦截器携带token）
import request from '@/utils/request'

// 17.1.	发布动态
export function insertPosts(data) {
  return request({
    url: '/api/alumniPosts/insertPosts',
    method: 'post',
    data
  })
}

// 17.2.	获取组织分类下拉列表数据
export function queryCategoryDatas() {
  return request({
    url: '/api/alumniCategory/queryCategoryDatas',
    method: 'get'
  })
}

// 17.3.	审核帖子数据
export function toExaminePosts(params) {
  return request({
    url: '/api/alumniPosts/toExaminePosts',
    method: 'get',
    params // 传菜单对象：{permCode, permName, parentId...}
  })
}

// 17.4.	删除帖子数据
export function deletePostsById(params) {
  return request({
    url: '/api/alumniPosts/deletePostsById',
    method: 'get',
    params // 传修改后的菜单对象，必须带id
  })
}

// 17.5.	获取帖子分页数据
export function queryPostsPage(params) {
  return request({
    url: `/api/alumniPosts/queryPostsPage`,
    method: 'get',
    params
  })
}

// 17.6.	获取评论数据
export function queryCommetns(params) {
  return request({
    url: `/api/alumniComment/queryCommetns`,
    method: 'get',
    params
  })
}